baz_correlator.h File Reference
`#include <gnuradio/sync_block.h>`
Include dependency graph for baz_correlator.h:

Go to the source code of this file.

## Classes

class | baz_correlator
| square2 a stream of floats. More...

## Functions

BAZ_API baz_correlator_sptr | baz_make_correlator (float samp_rate, float symbol_rate, int window_length, float threshold=0.5, int width=1024, const char *sync_path="sync.dat", int sync_length=511, int sync_offset=50, int sync_window_length=500)
| Return a shared_ptr to a new instance of baz_correlator.

## Variables

class BAZ_API | baz_correlator

## Function Documentation

## baz_make_correlator()

BAZ_API baz_correlator_sptr baz_make_correlator | ( | float | samp_rate,
|  | float | symbol_rate,
|  | int | window_length,
|  | float | threshold = `0.5`,
|  | int | width = `1024`,
|  | const char * | sync_path = `"sync.dat"`,
|  | int | sync_length = `511`,
|  | int | sync_offset = `50`,
|  | int | sync_window_length = `500`
| ) |  |

Return a shared_ptr to a new instance of baz_correlator.

To avoid accidental use of raw pointers, baz_correlator's constructor is private. baz_make_correlator is the public interface for creating new instances.

## Variable Documentation

## baz_correlator

class BAZ_API baz_correlator